#!/usr/bin/perl
#######################
#
# Simple script to reliably reset Aastra phones
# Kurt Heston - 20061014
#
#######################

use strict;
use warnings;
use LWP;

my $browser = LWP::UserAgent->new;
#my $ip = "192.168.0.61";
my $ip = "$ARGV[0]";

$browser->cookie_jar({});

# Replace 'secret' with password
$browser->credentials(
"$ip:80",
'Please enter User name and password',
'admin' => '22222'
);

my $url = "http://$ip/reset.html";

# Do a get so the phone can set a cookie
my $response = $browser->get( $url );

# Now send the reset command
$response = $browser->post( $url,
['resetOption' => '0']
);

die "$url error: ", $response->status_line
unless $response->is_success;

#print $response->content;

if( $response->content =~ m{Restarting the hardware} ) {
print "Phone at " . $ip . " restarted successfully\n";
} else {
print "Phone at " . $ip . " not restarted\n";
}
