#!/bin/bash

time=`date +%s`;
mkdir -p /tmp/zpm_$time
sql_str="select ae_ext from ast_users where ae_check_status=1"
echo $sql_str | mysql ast_config | grep -v ae_ext > /tmp/zpm_$time/monitor

for ext in $(cat /tmp/zpm_$time/monitor);do
    status=`/usr/sbin/asterisk -rx "sip show peer $ext"|grep Status|awk '{print $3}'`
    sql_str="INSERT INTO pbx_monitor (pmo_ext,pmo_date,pmo_status) VALUES ('$ext',$time,'$status')";
    echo $sql_str|mysql ast_config;
done

rm -rf /tmp/zpm_$time