#!/bin/bash
echo saving master 10-ssl file
cp /etc/lighttpd/conf-available/10-ssl.conf /etc/lighttpd/10-ssl.conf_`date +%s`

echo adjusting ports
cat /etc/lighttpd/conf-available/10-ssl.conf | sed 's/443/9999/g' > /tmp/10-ssl.conf
cp /tmp/10-ssl.conf /etc/lighttpd/conf-available/10-ssl.conf

echo genarting ssl cert
openssl req -new -x509 -keyout /etc/lighttpd/server.pem -out /etc/lighttpd/server.pem -days 3000 -nodes -subj "/C=DE/ST=WITTEN/L=Witten/O=MZF Server/OU=IT Department/CN=voip.zphone.local"

echo enabling module
/usr/sbin/lighttpd-enable-mod ssl 

echo restartin reserver
/etc/init.d/lighttpd restart
