#!/usr/bin/perl -w
use strict;
use IO::Socket;

my ($host, $remote, $debugcmd, $dbgout, $time);

$debugcmd  = "L2Tas\rd2f\r";		#Login und Debug 2f
$debugcmd .= "\x1b\x5b\x43\r";		# L3
$debugcmd .= "dadi\r";			# Debug Koppeln
$debugcmd .= "\x1b\x5b\x43\r";		# L2      
$debugcmd .= "\x1b\x5b\x43\r";		# L1_PRI  
$debugcmd .= "\x1b\x5b\x43\r";		# Sip
$debugcmd .= "d4001\r";			# SIP d4000
$debugcmd .= "\x1b\x5b\x43\r";		# IpS     
$debugcmd .= "\x1b\x5b\x43\r";		# Ac      
$debugcmd .= "\x1b\x5b\x43\r";		# Kop     
$debugcmd .= "dkde\r";			# Debug Koppeln
$debugcmd .= "\x1b\x5b\x43\r";		# QMC
$debugcmd .= "d2000\r";			# QMC d2000
$debugcmd .= "\x1b\x5b\x43\r";		# IP-Stack
$debugcmd .= "\x1b\x5b\x43\r";		# LanCtrl 
$debugcmd .= "\x1b\x5b\x43\r";		# Kernel

unless (@ARGV == 1) { die "usage: $0 host ..." };

$host = shift(@ARGV);

$remote = IO::Socket::INET->new( Proto     => "tcp",
                                 PeerAddr  => $host,
                                 PeerPort  => "telnet(23)",
                                );
unless ($remote) { die "cannot connect to $host" }
$remote->autoflush(1);
print $remote $debugcmd;
while ( $dbgout = <$remote> ) {
   $time = localtime();
   $dbgout =~ s/\r\n/\n$time: /g;
   print $dbgout;
}
close $remote;
