#!/bin/bash



if [ -z $1 ];then

    echo "usage $0 [start || stop || update ] servicename "
    exit

fi

if [ -z $2 ];then

    echo "usage $0 [start || stop || update ] servicename "
    exit
    
fi

if [ ! -e  /var/www/zphone/bin/zphone_srv_${2}.sh ];then

    echo "Service not found!";
    exit;

fi


if [ ! -x /var/www/zphone/bin/zphone_srv_${2}.sh ];then

    echo "Service is not executable!";
    exit;

fi

if [ "$1" == "start" ];then 
    echo starting zphone service $2
    start-stop-daemon -b --start --exec  /var/www/zphone/bin/zphone_srv_${2}.sh
    exit;
fi



