#!/bin/bash

db="zphone";
touch /tmp/zphone_srv_monitor

while [ -e /tmp/zphone_srv_monitor ];do

    time=`date +%s`;
    mkdir -p /tmp/zpm_$time
    sql_str="select ae_ext from ast_users where ae_check_status=1"
    echo $sql_str | mysql $db  | grep -v ae_ext > /tmp/zpm_$time/monitor

    for ext in $(cat /tmp/zpm_$time/monitor);do
	pmo=`/usr/sbin/asterisk -rx "sip show peer $ext"|grep Status|awk '{print $3"@"$4" "$5}'`
	pmo_status=`echo $pmo|cut -d@ -f1`
	pmo_data=`echo $pmo|cut -d@ -f2 | tr -d "(" | tr -d ")"`
        sql_str="INSERT INTO pbx_monitor (pmo_ext,pmo_date,pmo_status,pmo_data) VALUES ('$ext',$time,'$pmo_status','$pmo_data')";
	echo $sql_str|mysql $db;
    done

    rm -rf /tmp/zpm_$time
    sleep 60;
    
done
